gi-pango-1.0.29: Pango bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Pango.Flags

Contents

- Flags
  - FontMask
  - LayoutDeserializeFlags
  - LayoutSerializeFlags
  - ShapeFlags
  - ShowFlags

Description

Synopsis

- data FontMask
  - = FontMaskFamily
  - | FontMaskStyle
  - | FontMaskVariant
  - | FontMaskWeight
  - | FontMaskStretch
  - | FontMaskSize
  - | FontMaskGravity
  - | FontMaskVariations
  - | AnotherFontMask Int
- data LayoutDeserializeFlags
  - = LayoutDeserializeFlagsDefault
  - | LayoutDeserializeFlagsContext
  - | AnotherLayoutDeserializeFlags Int
- data LayoutSerializeFlags
  - = LayoutSerializeFlagsDefault
  - | LayoutSerializeFlagsContext
  - | LayoutSerializeFlagsOutput
  - | AnotherLayoutSerializeFlags Int
- data ShapeFlags
  - = ShapeFlagsNone
  - | ShapeFlagsRoundPositions
  - | AnotherShapeFlags Int
- data ShowFlags
  - = ShowFlagsNone
  - | ShowFlagsSpaces
  - | ShowFlagsLineBreaks
  - | ShowFlagsIgnorables
  - | AnotherShowFlags Int

# Flags

## FontMask

data FontMask Source #

The bits in a `PangoFontMask` correspond to the set fields in a `PangoFontDescription`.

Constructors

FontMaskFamily | the font family is specified.
FontMaskStyle | the font style is specified.
FontMaskVariant | the font variant is specified.
FontMaskWeight | the font weight is specified.
FontMaskStretch | the font stretch is specified.
FontMaskSize | the font size is specified.
FontMaskGravity | the font gravity is specified (Since: 1.16.)
FontMaskVariations | OpenType font variations are specified (Since: 1.42)
AnotherFontMask Int | Catch-all for unknown values

#### Instances

Instances details

Enum FontMask Source # |

Instance details

Defined in GI.Pango.Flags

Methods

succ :: FontMask -> FontMask Source #

pred :: FontMask -> FontMask Source #

toEnum :: Int -> FontMask Source #

fromEnum :: FontMask -> Int Source #

enumFrom :: FontMask -> [FontMask] Source #

enumFromThen :: FontMask -> FontMask -> [FontMask] Source #

enumFromTo :: FontMask -> FontMask -> [FontMask] Source #

enumFromThenTo :: FontMask -> FontMask -> FontMask -> [FontMask] Source #

Show FontMask Source # |
Instance details Defined in GI.Pango.Flags Methods showsPrec :: Int -> FontMask -> ShowS Source # show :: FontMask -> String Source # showList :: [FontMask] -> ShowS Source #
Eq FontMask Source # |
Instance details Defined in GI.Pango.Flags Methods (==) :: FontMask -> FontMask -> Bool Source # (/=) :: FontMask -> FontMask -> Bool Source #
Ord FontMask Source # |
Instance details Defined in GI.Pango.Flags Methods compare :: FontMask -> FontMask -> Ordering Source # (<) :: FontMask -> FontMask -> Bool Source # (<=) :: FontMask -> FontMask -> Bool Source # (>) :: FontMask -> FontMask -> Bool Source # (>=) :: FontMask -> FontMask -> Bool Source # max :: FontMask -> FontMask -> FontMask Source # min :: FontMask -> FontMask -> FontMask Source #
BoxedFlags FontMask Source # |
Instance details Defined in GI.Pango.Flags
IsGFlag FontMask Source # |
Instance details Defined in GI.Pango.Flags
TypedObject FontMask Source # |
Instance details Defined in GI.Pango.Flags Methods glibType :: IO GType Source #
HasParentTypes FontMask Source # |
Instance details Defined in GI.Pango.Flags
type ParentTypes FontMask Source # |
Instance details Defined in GI.Pango.Flags type ParentTypes FontMask = '[] :: [Type]

## LayoutDeserializeFlags

data LayoutDeserializeFlags Source #

Flags that influence the behavior of [func`pango`.Layout.deserialize].

New members may be added to this enumeration over time.

Since: 1.50

Constructors

LayoutDeserializeFlagsDefault | Default behavior
LayoutDeserializeFlagsContext | Apply context information from the serialization to the `PangoContext`
AnotherLayoutDeserializeFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum LayoutDeserializeFlags Source # |

Instance details

Defined in GI.Pango.Flags

Methods

succ :: LayoutDeserializeFlags -> LayoutDeserializeFlags Source #

pred :: LayoutDeserializeFlags -> LayoutDeserializeFlags Source #

toEnum :: Int -> LayoutDeserializeFlags Source #

fromEnum :: LayoutDeserializeFlags -> Int Source #

enumFrom :: LayoutDeserializeFlags -> [LayoutDeserializeFlags] Source #

enumFromThen :: LayoutDeserializeFlags -> LayoutDeserializeFlags -> [LayoutDeserializeFlags] Source #

enumFromTo :: LayoutDeserializeFlags -> LayoutDeserializeFlags -> [LayoutDeserializeFlags] Source #

enumFromThenTo :: LayoutDeserializeFlags -> LayoutDeserializeFlags -> LayoutDeserializeFlags -> [LayoutDeserializeFlags] Source #

Show LayoutDeserializeFlags Source # |
Instance details Defined in GI.Pango.Flags Methods showsPrec :: Int -> LayoutDeserializeFlags -> ShowS Source # show :: LayoutDeserializeFlags -> String Source # showList :: [LayoutDeserializeFlags] -> ShowS Source #
Eq LayoutDeserializeFlags Source # |
Instance details Defined in GI.Pango.Flags Methods (==) :: LayoutDeserializeFlags -> LayoutDeserializeFlags -> Bool Source # (/=) :: LayoutDeserializeFlags -> LayoutDeserializeFlags -> Bool Source #
Ord LayoutDeserializeFlags Source # |

Instance details

Defined in GI.Pango.Flags

Methods

compare :: LayoutDeserializeFlags -> LayoutDeserializeFlags -> Ordering Source #

(<) :: LayoutDeserializeFlags -> LayoutDeserializeFlags -> Bool Source #

(<=) :: LayoutDeserializeFlags -> LayoutDeserializeFlags -> Bool Source #

(>) :: LayoutDeserializeFlags -> LayoutDeserializeFlags -> Bool Source #

(>=) :: LayoutDeserializeFlags -> LayoutDeserializeFlags -> Bool Source #

max :: LayoutDeserializeFlags -> LayoutDeserializeFlags -> LayoutDeserializeFlags Source #

min :: LayoutDeserializeFlags -> LayoutDeserializeFlags -> LayoutDeserializeFlags Source #

BoxedFlags LayoutDeserializeFlags Source # |
Instance details Defined in GI.Pango.Flags
IsGFlag LayoutDeserializeFlags Source # |
Instance details Defined in GI.Pango.Flags
TypedObject LayoutDeserializeFlags Source # |
Instance details Defined in GI.Pango.Flags Methods glibType :: IO GType Source #
HasParentTypes LayoutDeserializeFlags Source # |
Instance details Defined in GI.Pango.Flags
type ParentTypes LayoutDeserializeFlags Source # |
Instance details Defined in GI.Pango.Flags type ParentTypes LayoutDeserializeFlags = '[] :: [Type]

## LayoutSerializeFlags

data LayoutSerializeFlags Source #

Flags that influence the behavior of `layoutSerialize`.

New members may be added to this enumeration over time.

Since: 1.50

Constructors

LayoutSerializeFlagsDefault | Default behavior
LayoutSerializeFlagsContext | Include context information
LayoutSerializeFlagsOutput | Include information about the formatted output
AnotherLayoutSerializeFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum LayoutSerializeFlags Source # |

Instance details

Defined in GI.Pango.Flags

Methods

succ :: LayoutSerializeFlags -> LayoutSerializeFlags Source #

pred :: LayoutSerializeFlags -> LayoutSerializeFlags Source #

toEnum :: Int -> LayoutSerializeFlags Source #

fromEnum :: LayoutSerializeFlags -> Int Source #

enumFrom :: LayoutSerializeFlags -> [LayoutSerializeFlags] Source #

enumFromThen :: LayoutSerializeFlags -> LayoutSerializeFlags -> [LayoutSerializeFlags] Source #

enumFromTo :: LayoutSerializeFlags -> LayoutSerializeFlags -> [LayoutSerializeFlags] Source #

enumFromThenTo :: LayoutSerializeFlags -> LayoutSerializeFlags -> LayoutSerializeFlags -> [LayoutSerializeFlags] Source #

Show LayoutSerializeFlags Source # |
Instance details Defined in GI.Pango.Flags Methods showsPrec :: Int -> LayoutSerializeFlags -> ShowS Source # show :: LayoutSerializeFlags -> String Source # showList :: [LayoutSerializeFlags] -> ShowS Source #
Eq LayoutSerializeFlags Source # |
Instance details Defined in GI.Pango.Flags Methods (==) :: LayoutSerializeFlags -> LayoutSerializeFlags -> Bool Source # (/=) :: LayoutSerializeFlags -> LayoutSerializeFlags -> Bool Source #
Ord LayoutSerializeFlags Source # |

Instance details

Defined in GI.Pango.Flags

Methods

compare :: LayoutSerializeFlags -> LayoutSerializeFlags -> Ordering Source #

(<) :: LayoutSerializeFlags -> LayoutSerializeFlags -> Bool Source #

(<=) :: LayoutSerializeFlags -> LayoutSerializeFlags -> Bool Source #

(>) :: LayoutSerializeFlags -> LayoutSerializeFlags -> Bool Source #

(>=) :: LayoutSerializeFlags -> LayoutSerializeFlags -> Bool Source #

max :: LayoutSerializeFlags -> LayoutSerializeFlags -> LayoutSerializeFlags Source #

min :: LayoutSerializeFlags -> LayoutSerializeFlags -> LayoutSerializeFlags Source #

BoxedFlags LayoutSerializeFlags Source # |
Instance details Defined in GI.Pango.Flags
IsGFlag LayoutSerializeFlags Source # |
Instance details Defined in GI.Pango.Flags
TypedObject LayoutSerializeFlags Source # |
Instance details Defined in GI.Pango.Flags Methods glibType :: IO GType Source #
HasParentTypes LayoutSerializeFlags Source # |
Instance details Defined in GI.Pango.Flags
type ParentTypes LayoutSerializeFlags Source # |
Instance details Defined in GI.Pango.Flags type ParentTypes LayoutSerializeFlags = '[] :: [Type]

## ShapeFlags

data ShapeFlags Source #

Flags influencing the shaping process.

`PangoShapeFlags` can be passed to `shapeWithFlags`.

Since: 1.44

Constructors

ShapeFlagsNone | Default value
ShapeFlagsRoundPositions | Round glyph positions and widths to whole device units This option should be set if the target renderer can't do subpixel positioning of glyphs
AnotherShapeFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum ShapeFlags Source # |

Instance details

Defined in GI.Pango.Flags

Methods

succ :: ShapeFlags -> ShapeFlags Source #

pred :: ShapeFlags -> ShapeFlags Source #

toEnum :: Int -> ShapeFlags Source #

fromEnum :: ShapeFlags -> Int Source #

enumFrom :: ShapeFlags -> [ShapeFlags] Source #

enumFromThen :: ShapeFlags -> ShapeFlags -> [ShapeFlags] Source #

enumFromTo :: ShapeFlags -> ShapeFlags -> [ShapeFlags] Source #

enumFromThenTo :: ShapeFlags -> ShapeFlags -> ShapeFlags -> [ShapeFlags] Source #

Show ShapeFlags Source # |
Instance details Defined in GI.Pango.Flags Methods showsPrec :: Int -> ShapeFlags -> ShowS Source # show :: ShapeFlags -> String Source # showList :: [ShapeFlags] -> ShowS Source #
Eq ShapeFlags Source # |
Instance details Defined in GI.Pango.Flags Methods (==) :: ShapeFlags -> ShapeFlags -> Bool Source # (/=) :: ShapeFlags -> ShapeFlags -> Bool Source #
Ord ShapeFlags Source # |

Instance details

Defined in GI.Pango.Flags

Methods

compare :: ShapeFlags -> ShapeFlags -> Ordering Source #

(<) :: ShapeFlags -> ShapeFlags -> Bool Source #

(<=) :: ShapeFlags -> ShapeFlags -> Bool Source #

(>) :: ShapeFlags -> ShapeFlags -> Bool Source #

(>=) :: ShapeFlags -> ShapeFlags -> Bool Source #

max :: ShapeFlags -> ShapeFlags -> ShapeFlags Source #

min :: ShapeFlags -> ShapeFlags -> ShapeFlags Source #

BoxedFlags ShapeFlags Source # |
Instance details Defined in GI.Pango.Flags
IsGFlag ShapeFlags Source # |
Instance details Defined in GI.Pango.Flags
TypedObject ShapeFlags Source # |
Instance details Defined in GI.Pango.Flags Methods glibType :: IO GType Source #
HasParentTypes ShapeFlags Source # |
Instance details Defined in GI.Pango.Flags
type ParentTypes ShapeFlags Source # |
Instance details Defined in GI.Pango.Flags type ParentTypes ShapeFlags = '[] :: [Type]

## ShowFlags

data ShowFlags Source #

These flags affect how Pango treats characters that are normally not visible in the output.

Since: 1.44

Constructors

ShowFlagsNone | No special treatment for invisible characters
ShowFlagsSpaces | Render spaces, tabs and newlines visibly
ShowFlagsLineBreaks | Render line breaks visibly
ShowFlagsIgnorables | Render default-ignorable Unicode characters visibly
AnotherShowFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum ShowFlags Source # |

Instance details

Defined in GI.Pango.Flags

Methods

succ :: ShowFlags -> ShowFlags Source #

pred :: ShowFlags -> ShowFlags Source #

toEnum :: Int -> ShowFlags Source #

fromEnum :: ShowFlags -> Int Source #

enumFrom :: ShowFlags -> [ShowFlags] Source #

enumFromThen :: ShowFlags -> ShowFlags -> [ShowFlags] Source #

enumFromTo :: ShowFlags -> ShowFlags -> [ShowFlags] Source #

enumFromThenTo :: ShowFlags -> ShowFlags -> ShowFlags -> [ShowFlags] Source #

Show ShowFlags Source # |
Instance details Defined in GI.Pango.Flags Methods showsPrec :: Int -> ShowFlags -> ShowS Source # show :: ShowFlags -> String Source # showList :: [ShowFlags] -> ShowS Source #
Eq ShowFlags Source # |
Instance details Defined in GI.Pango.Flags Methods (==) :: ShowFlags -> ShowFlags -> Bool Source # (/=) :: ShowFlags -> ShowFlags -> Bool Source #
Ord ShowFlags Source # |
Instance details Defined in GI.Pango.Flags Methods compare :: ShowFlags -> ShowFlags -> Ordering Source # (<) :: ShowFlags -> ShowFlags -> Bool Source # (<=) :: ShowFlags -> ShowFlags -> Bool Source # (>) :: ShowFlags -> ShowFlags -> Bool Source # (>=) :: ShowFlags -> ShowFlags -> Bool Source # max :: ShowFlags -> ShowFlags -> ShowFlags Source # min :: ShowFlags -> ShowFlags -> ShowFlags Source #
BoxedFlags ShowFlags Source # |
Instance details Defined in GI.Pango.Flags
IsGFlag ShowFlags Source # |
Instance details Defined in GI.Pango.Flags
TypedObject ShowFlags Source # |
Instance details Defined in GI.Pango.Flags Methods glibType :: IO GType Source #
HasParentTypes ShowFlags Source # |
Instance details Defined in GI.Pango.Flags
type ParentTypes ShowFlags Source # |
Instance details Defined in GI.Pango.Flags type ParentTypes ShowFlags = '[] :: [Type]